> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve available documents to order



## OpenAPI

````yaml /openapi/kyb.yaml get /api/v2/gov-ordered-documents/available-documents/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /api/v2/gov-ordered-documents/available-documents/:
    get:
      tags:
        - GOV Orders
      summary: Retrieve available documents to order
      operationId: apiV2GovOrderedDocumentsAvailableDocumentsRetrieve
      parameters:
        - in: query
          name: countryCode
          schema:
            enum:
              - AL
              - AM
              - AR
              - AT
              - AU
              - AW
              - AZ
              - BA
              - BB
              - BD
              - BE
              - BG
              - BH
              - BN
              - BO
              - BQ
              - BR
              - BW
              - BY
              - BZ
              - CA
              - CH
              - CN
              - CO
              - CR
              - CW
              - CY
              - CZ
              - DE
              - DK
              - DO
              - EC
              - EE
              - ES
              - FI
              - FR
              - GB
              - GE
              - GG
              - GH
              - GI
              - GR
              - HK
              - HR
              - HU
              - ID
              - IE
              - IL
              - IM
              - IN
              - IS
              - IT
              - JE
              - JO
              - KH
              - KW
              - KY
              - LI
              - LK
              - LS
              - LT
              - LU
              - LV
              - MA
              - ME
              - MH
              - MM
              - MT
              - MU
              - MY
              - NL
              - 'NO'
              - NZ
              - PE
              - PH
              - PK
              - PL
              - PR
              - PT
              - QA
              - RO
              - RS
              - RU
              - SB
              - SE
              - SG
              - SI
              - SK
              - TH
              - TN
              - TO
              - TR
              - TT
              - TW
              - UG
              - US
              - UY
              - VG
              - VI
              - VN
              - VU
              - WS
              - ZA
            type: string
            minLength: 1
          required: true
        - in: query
          name: region
          schema:
            type: string
            minLength: 1
        - in: query
          name: registrationNumber
          schema:
            type: string
            minLength: 1
          description: External company ID from GOV registers search should be used.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GovRegistersAvailableDocuments'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    GovRegistersAvailableDocuments:
      type: object
      properties:
        products:
          type: array
          items:
            $ref: '#/components/schemas/GovRegistersFilingResult'
      required:
        - products
    GovRegistersFilingResult:
      type: object
      properties:
        id:
          type: string
        productCode:
          type: string
        price:
          type: integer
          nullable: true
          readOnly: true
        productFormat:
          type: string
          readOnly: true
          nullable: true
        productTitle:
          type: string
        deliveryTimeMinutes:
          type: integer
        type:
          type: string
        displayDate:
          type: string
        priceTag:
          type: string
        companyName:
          type: string
        countryISO:
          type: string
        noVatPrice:
          type: string
        vatCharge:
          type: string
        currency:
          type: string
        companyCode:
          type: string
        productDetails:
          type: object
          additionalProperties: {}
        downloadURL:
          type: string
        propertyChanged:
          type: string
        tierCode:
          type: string
        tierValue:
          type: string
        status:
          $ref: '#/components/schemas/GovDocumentOrderStatusEnum'
        canOrder:
          type: boolean
          readOnly: true
        file:
          type: string
      required:
        - canOrder
        - id
        - price
        - productFormat
    GovDocumentOrderStatusEnum:
      enum:
        - NOT_ORDERED
        - IN_PROGRESS
        - FINISHED
        - FAILED
        - TIMED_OUT
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````